> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v2.5/wisej.web/containers/containercontrol.md).

# ContainerControl

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.5.0.0)

* [Control](/api/v2.5/wisej.web/general/control.md)
  * [ScrollableControl](/api/v2.5/wisej.web/containers/scrollablecontrol.md)
    * [ContainerControl](/api/v2.5/wisej.web/containers/containercontrol.md)

Provides focus-management functionality for controls that can function as a container for other controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ContainerControl : ScrollableControl, IContainerControl, IContainerControl
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ContainerControl
    Inherits ScrollableControl
    Implements IContainerControl, IContainerControl
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MTRl851gGvQXMvSEG1f)ContainerControl()

Initializes a new instance of the [ContainerControl](/api/v2.5/wisej.web/containers/containercontrol.md) class.

## Properties

### ![](/files/-MTRl851gGvQXMvSEG1f)Accelerators

[Keys\[\]](/api/v2.5/wisej.web/enumerations/wisej.web.keys.md): Returns or sets a collection of keys that fire the Accelerator event when the user presses the accelerator key while the focus is on any child control.

### ![](/files/-MTRl851gGvQXMvSEG1f)ActiveControl

[Control](/api/v2.5/wisej.web/general/control.md): Returns or sets the active control on the container control.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) The [Control](/api/v2.5/wisej.web/general/control.md) assigned could not be activated.

### ![](/files/-MTRl851gGvQXMvSEG1f)BindingContext

[BindingContext](/api/v2.5/wisej.web/data-binding/wisej.web.bindingcontext.md): Returns or sets the BindingContext for the control.

### ![](/files/-MTRl851gGvQXMvSEG1f)KeyPreview

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the container will receive key events before the event is passed to the control that has focus.

### ![](/files/-MTRl851gGvQXMvSEG1f)ParentForm

[Form](/api/v2.5/wisej.web/containers/form.md): Returns the [Form](/api/v2.5/wisej.web/containers/form.md) that the container control is assigned to.

### ![](/files/-MTRl851gGvQXMvSEG1f)ParentPage

[Page](/api/v2.5/wisej.web/containers/wisej.web.page.md): Returns the [Page](/api/v2.5/wisej.web/containers/wisej.web.page.md) that the container control is assigned to.

### ![](/files/-MTRl851gGvQXMvSEG1f)RightToLeftLayout

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Enables or disables right-to-left layout when the value of [RightToLeft](/api/v2.5/wisej.web/general/control.md#righttoleft) is [Yes](/api/v2.5/wisej.web/enumerations/wisej.web.righttoleft.md#fields)

## Methods

### ![](/files/-MTRl851gGvQXMvSEG1f)Validate()

Validates the last unvalidated control and its ancestors up through, but not including the current control.

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean).

### ![](/files/-MTRl851gGvQXMvSEG1f)Validate(checkAutoValidate)

Validates the last unvalidated control and its ancestors up through, but not including the current control.

| Parameter             | Type                                                                  | Description                                                                                                                                                                 |
| --------------------- | --------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **checkAutoValidate** | [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean) | If true, the value of the [AutoValidate](#autovalidate) property is used to determine if validation should be performed; if false, validation is unconditionally performed. |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean).

## Events

### ![](/files/-MTRl851gGvQXMvSEG1f)Accelerator

[AcceleratorEventHandler](/api/v2.5/wisej.web/containers/containercontrol/wisej.web.acceleratoreventhandler.md) Fired when one of the [Accelerators](#accelerators) key is pressed.

### ![](/files/-MTRl851gGvQXMvSEG1f)RightToLeftLayoutChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the value of the [RightToLeftLayout](#righttoleftlayout) property changes.

## Inherited By

| Name                                                                                           | Description                                                                                                                                                           |
| ---------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [FileDialogUI](/api/v2.5/wisej.web/common-dialogs/wisej.web.filedialogui.md)                   | UI implementation for the FileDialog class.                                                                                                                           |
| [FolderBrowserDialogUI](/api/v2.5/wisej.web/common-dialogs/wisej.web.folderbrowserdialogui.md) | UI implementation for the FolderDialog class.                                                                                                                         |
| [Form](/api/v2.5/wisej.web/containers/form.md)                                                 | Represents a window or dialog box that makes up an application's user interface.                                                                                      |
| [Page](/api/v2.5/wisej.web/containers/wisej.web.page.md)                                       | Represents a web page that fills the browser and acts as the main container for the application. An application can have only one active main page at any given time. |
| [SplitContainer](/api/v2.5/wisej.web/containers/splitcontainer.md)                             | Represents a control consisting of a movable bar that divides a container's display area into two resizable panels.                                                   |
| [UserControl](/api/v2.5/wisej.web/containers/wisej.web.usercontrol.md)                         | Provides an empty control that can be used to create other controls.                                                                                                  |
| [DataRepeater](/api/v2.5/wisej.web/containers/datarepeater.md)                                 | Displays data in a customizable list format.                                                                                                                          |
| [Desktop](/api/v2.5/wisej.web/containers/desktop.md)                                           | Represents a desktop container that can host floating windows.                                                                                                        |
| [UserPopup](/api/v2.5/wisej.web/containers/wisej.web.userpopup.md)                             | Provides an popup container that can be attached to other controls.                                                                                                   |

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v2.5/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IContainerControl](/api/v2.5/wisej.web/interfaces/wisej.web.icontainercontrol.md)     | Provides the functionality for a control to act as a parent for other controls.                                            |
| [IWisejComponent](/api/v2.5/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v2.5/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v2.5/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v2.5/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v2.5/wisej.web/containers/containercontrol.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
